Subject: bug#22679: 25.0.91; ibuffer-do-shell-command-pipe truncate output

From: Stefan Monnier <[email-masked]>
Date: Sat, 20 Aug 2016 08:46:54 -0400

> I have corrected the call to `call-process-region': now it uses
> 'shell-file-name' as the executable.

Thanks.  Now that I looked at the rest of the patch I see that you use
some kind of after/before hooks, so this approach doesn't really lend
itself to extracting into a more generally useful function which could
be used by shell-command (and others).

Could you explain what made you use this approach, to see if there might
be some way to solve the problem while still making the code more
generally useful (and reduce redundancy rather than augment it)?

        Stefan